com.lowagie.text.pdf.crypto

## Class AESCipher

- java.lang.Object
- - com.lowagie.text.pdf.crypto.AESCipher

    public class AESCipher
    extends java.lang.Object

Creates an AES Cipher with CBC and padding PKCS5/7.

Author:
  Paulo Soares (psoares@consiste.pt)

### Field Summary

Fields
`private PaddedBufferedBlockCipher` `bp`

### Constructor Summary

Constructors
Constructor and Description
`AESCipher(boolean forEncryption, byte[] key, byte[] iv)` Creates a new instance of AESCipher

### Method Summary

Methods
`byte[]` `doFinal()`
`byte[]` `update(byte[] inp, int inpOff, int inpLen)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### bp

    private PaddedBufferedBlockCipher bp

### Constructor Detail

#### AESCipher

    public AESCipher(boolean forEncryption,
             byte[] key,
             byte[] iv)

Creates a new instance of AESCipher

### Method Detail

#### update

    public byte[] update(byte[] inp,
                int inpOff,
                int inpLen)

#### doFinal

    public byte[] doFinal()